﻿/* =========================================================================

InDesign ExtendScript

NAME: quickDelete.jsx
VERSION: 1.0

AUTHOR: Vitaly Batushev
DATE  : 11.05.2006

DESCRIPTION: Быстрое удаление выделенного текста в Story :)

SUPPORT: http://toolbox.rudtp.ru
E-MAIL: toolbox@knews.polenet.ru

============================================================================ */
// Переменная caseSens может иметь два значения
//     true - если Вы хотите, чтобы поиск удаляемого текста был контекстно-зависиммым.
//            В таком случае, слова "поиск" и "Поиск" будут считаться разными словами.
//	   false - если Вам не нужен контекстно-зависимый поиск.
//            В таком случае, слова "поиск" и "Поиск" будут считаться одним и тем же словом.
var caseSens = true;

with (app) {
	if (documents.length == 0) { exit(); }
	if (selection.length == 0) { exit(); }	
	var mySel = selection[0];
	if ((mySel.constructor.name == 'Text') || (mySel.constructor.name == 'Word')) {
		var mySearch = mySel.contents;
		var searchParaStyle = mySel.appliedParagraphStyle;
		var myStory = mySel.parentStory;
	} else {
		exit();
	}	
	findPreferences = null;
	changePreferences = null;
	myStory.search(mySearch, false, caseSens, '');
	findPreferences = null;
	changePreferences = null;
}